package cn.seven.client;

import java.awt.BorderLayout;
import java.awt.Frame;
import java.awt.TextArea;
import java.awt.TextField;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;
import java.net.ConnectException;
import java.net.Socket;
import java.net.UnknownHostException;

public class ChatClient extends Frame{
	private TextField field=new TextField();
	private TextArea area=new TextArea();
	private Socket s=null;
	private DataOutputStream dips=null;
	private DataInputStream dops=null;
	private boolean connect=false;
	public static void main(String[] args) {
		new ChatClient().launch();
	}
	public void launch(){
		this.setBounds(300, 200,300,200);
		this.addWindowListener(new WindowAdapter(){
			public void windowClosing(WindowEvent e) {
				System.exit(0);
			}
		});
		this.add(field,BorderLayout.SOUTH);
		this.add(area,BorderLayout.NORTH);
		pack();
		area.setEditable(false);
		field.addActionListener(new TextListener());
		this.setVisible(true);
		connect();
		new Thread(new Receive()).start();
	}
	private class Receive implements Runnable{
		public void run(){
			try {
				while(connect){
					String str=dops.readUTF();
					area.append(str+"\r\n");
				}
			} catch (IOException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}
		}
	}
	private void connect() {
		try {
			s=new Socket("localhost",8888);
			connect=true;
			dips=new DataOutputStream(s.getOutputStream());
			dops=new DataInputStream(s.getInputStream());
		} catch (ConnectException e) {
			System.out.println("δ");
			System.exit(0);
		} catch (UnknownHostException e) {
			e.printStackTrace();
		} catch (IOException e){
			e.printStackTrace();
		}
	}
	private class TextListener implements ActionListener{

		public void actionPerformed(ActionEvent e) {
			String str=null;
			str=field.getText();
			try {
					if(str!=null&&!str.isEmpty()){
						//area.append(str+"\r\n");
						dips.writeUTF(str);
						dips.flush();
						field.setText("");
					}
				} catch (IOException e1) {
					// TODO Auto-generated catch block
					e1.printStackTrace();
				}
			}
			
		}
}
